Skip to main content
Previous sectionNext section

Supported Version Interoperability

This section describes supported interoperability between different versions of InterSystems® products.

Version Interoperability Table

The following table shows the cross-version compatibility of this release with the most recent releases of InterSystems products.

Component Client/Destination Version (with 2020.2 Server) Server/Source Version (with 2020.2 Client)
Web Gateway 2018.1, 2019.1, 2019.2, 2019.3, 2019.4, 2020.1, 2020.2 2020.2 or earlier
ECP1 2018.1, 2019.1, 2019.2, 2019.3, 2019.4, 2020.1, 2020.2 2018.1, 2019.1, 2019.2, 2019.3, 2019.4, 2020.1, 2020.2
Backup Restore 2018.1, 2019.1, 2019.2, 2019.3, 2019.4, 2020.1, 2020.2 2018.1, 2019.1, 2019.2, 2019.3, 2019.4, 2020.1, 2020.2
Journal Restore 2018.1, 2019.1, 2019.2, 2019.3, 2019.4, 2020.1, 2020.2 2018.1, 2019.1, 2019.2, 2019.3, 2019.4, 2020.1, 2020.2
Async Mirror2 2018.1, 2019.1, 2019.2, 2019.3, 2019.4, 2020.1, 2020.2 2018.1, 2019.1, 2019.2, 2019.3, 2019.4, 2020.1, 2020.2
Studio3 2018.1, 2019.1, 2019.2, 2019.3, 2019.4, 2020.1, 2020.2 2018.1, 2019.1, 2019.2, 2019.3, 2019.4, 2020.1, 2020.2
xDBC 2018.1 or later 2018.1 or later

1 To run any object-based application over ECP, the server and the clients must use the same product version.

2 Only reporting async members can be of a different version than the other members of the mirror; in this table, Client/Destination Version refers to reporting async members and Server/Source Version to failover members and disaster recovery (DR) async members. The failover members of a mirror and any DR async members must all be of the same version, and can differ within the range of releases defined in this table only for the duration of one of the upgrade procedures described in Upgrading a Mirror in the “Upgrading InterSystems IRIS” chapter of the Installation Guide.

3 Studio is not forward compatible; it does not connect to systems with higher version numbers. The Studio version on a client must be the same or later than the InterSystems IRIS server version to which it connects. This restriction does not apply to maintenance releases.